=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Sandro Knauß <hefee@debian.org>,
+Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -23,7 +22,7 @@
 Package: libkpimsmtp-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: library for handling SMTP data - arch independent files
  This library provides an API for handling data received from IMAP services.
  IMAP (Internet Message Access Protocol) is one of the two most prevalent
@@ -52,9 +51,9 @@
 X-CMake-Target: KPimSMTP
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library for handling SMTP data
  This library provides an API for handling SMTP services.
  SMTP (Simple Mail Transfer Protocol) is the most prevalent
  Internet standard protocols for e-mail transmission.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
