=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.35.0~),
               libkf5coreaddons-dev (>= 5.35.0~),
               libkf5i18n-dev (>= 5.35.0~),
               libkf5kio-dev (>= 5.35.0~),
               libkf5mime-dev (>= 17.04.3~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~)
Standards-Version: 4.0.0
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Git: https://invent.kde.org/neon/kde/ksmtp.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksmtp
Maintainer: Neon CI <neon@kde.org>

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.34.0~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5kio-dev (>= 5.31.0~),
         libkf5mime-dev (>= 17.04.3~),
         libkpimsmtp5 (= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
