=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10~),
               extra-cmake-modules (>= 5.39.0~),
               libkf5coreaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 23.08.0~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.39.0~),
         libkf5mime-dev (>= 23.08.0~),
         libkpim5smtp5 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpim5smtp5
Architecture: any
Multi-Arch: same
Depends: libkpim5smtp-data (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimsmtp5 (<< 19.12.3~)
Replaces: libkpimsmtp5 (<< 19.12.3~)
Provides: ${ABI:VirtualPackage},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

Package: libkpim5smtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkpimsmtp5 (<< 19.12.3~)
Replaces: libkpimsmtp5 (<< 19.12.3~),
          libkpimsmtp5abi1 (<< 23.04.1~),
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
