=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.5~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -23,7 +23,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 23.08.4~),
+         libkf5mime-dev (>= 23.08.5~),
          libkpim5smtp5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data
