## ksmtp 24.08.2

=== debian/changelog ===
ksmtp (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:01:20 +0200

ksmtp (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 02:42:11 +0200

ksmtp (24.05.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename data and dev packages to make it more consistent with other
    KDE PIM libraries.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jul 2024 19:48:15 +0200

ksmtp (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jul 2024 23:00:00 +0200
